


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

#define fred s#go
void s#go() {
extern char * getname( void );
extern void proc( void );
 proc(getname());
}
char * getname() {
 return "codswallop";
}
void proc(char * one) {
if (strcmp(one,"codswallop")==0)  fprintf(out_file, "%s", "TestOK"); else {
 fprintf(out_file, "%s", imp_concat("Bug found expected=codswallop actual=",one));
}
 fprintf(out_file, "\n\n");
}

/* end of automatic translation */

